<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1, shrink-to-fit=no"
    />
    <title>TP3 - Expérimentations</title>
    <link rel="icon" href="images/favicon.png" type="image/gif" />
    <link rel="stylesheet" type="text/css" href="css/bootstrap.css" />
    <link
      href="https://fonts.googleapis.com/css?family=Poppins:400,600,700&display=swap"
      rel="stylesheet"
    />
    <link href="css/font-awesome.min.css" rel="stylesheet" />
    <link href="css/style.css" rel="stylesheet" />
    <link href="css/responsive.css" rel="stylesheet" />
  </head>
  <body class="sub_page">
    <div class="hero_area mb-5">
      <header class="header_section long_section px-0">
        <nav class="navbar navbar-expand-lg custom_nav-container">
          <a class="navbar-brand" href="index.html">
            <span>L'Orienteur</span>
          </a>
          <button
            class="navbar-toggler"
            type="button"
            data-toggle="collapse"
            data-target="#navbarSupportedContent"
            aria-controls="navbarSupportedContent"
            aria-expanded="false"
            aria-label="Toggle navigation"
          >
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav ml-auto">
              <li class="nav-item">
                <a class="nav-link" href="index.html">Accueil</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="materiel.html">Matériel</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="experimentations.html">Expérimentations</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="logiciel.html">Logiciel</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="montage.html">Montage</a>
              </li>
            </ul>
          </div>
        </nav>
      </header>
    </div>

    <section class="container pt-5 text-justify">
      <h1 class="mb-5"><strong>Expérimentations</strong></h1>
      <div>
        <h2>
          1. Localisation par borne WiFi avec Raspberry Pi
        </h2>

        <p>
          <strong>Objectif :</strong>Valider la précision et l'efficacité de la
          localisation par borne WiFi.
        </p>

        <p><strong>Description du contexte de réalisation :</strong></p>
        <p style="font-size: small"><em>Testé sur un Google Pixel 7 et un Google Pixel 4</em></p>
        <ul>
          <li>Placement de plusieurs bornes Raspberry Pi à des emplacements éloignés les uns des autres.</li>
          <li>Ouvrir l'application à différents endroits pour tester la précision de la localisation.</li>
          <li>Capter plusieurs signaux en même temps dans l'application pour tester l'efficacité de la localisation.</li>
          <li>Capter uniquement les signaux des bornes Raspberry Pi.</li>
          <li>Tester la portée des bornes Raspberry Pi.</li>
          <li>Obtenir les informations ( RSSI/DBM, SSID ) des signaux captés.</li>
        </ul>

        <p><strong>Étapes de réalisation :</strong></p>
        <ol>
          <li>Installation de Raspbian sur les Raspberry Pi.</li>
          <li>Configuration des Raspberry Pi en borne WiFi.</li>
          <ul>
            <li>Liens 1 : <a href="https://www.raspberrypi.org/documentation/configuration/wireless/access-point-routed.md" target="_blank">Documentation officiel et étapes de configuration</a></li>
            <li>Liens 2 : <a href="https://www.youtube.com/watch?v=laeOmNDE-Ac&t=29s&ab_channel=SpaceRex" target="_blank">Youtube tutoriel (SpaceRex) </a></li>
            <li>Liens 3 : <a href="https://www.instructables.com/Raspberry-Pi-Wifi-Hotspot/" target="_blank">Configurations complémentaires</a></li>
          </ul>
          <li>Installation de l'application <a href="https://github.com/VREMSoftwareDevelopment/WifiAnalyzer" target="_blank">WifiAnalyzer</a> sur un téléphone Android.</li>
          <li>Configuration de l'application pour capter les signaux des bornes Raspberry Pi.</li>
          <li>Test de l'application à différents endroits du cégep et à différentes distance des Raspberry Pi.</li>
        </ol>

        <div class="row text-center m-5">
          <div class="col-md-6">
            <h4>Liste des réseaux Raspberry Pi</h3>
            <img src="images/listeWifi.png" alt="Liste des réseaux" width="70%">
          </div>
          <div class="col-md-6">
            <h4>Force des signaux Raspberry Pi</h3>
            <img src="images/forceWifi.png" alt="Force des signaux" width="70%">
          </div>
        </div>

        <p><strong>Résultat de l’expérimentation :</strong></p>

        <ul>
          <li>Une fois les Raspberry Pi configurés ils diffusent du réseau dès leur démarrage sans manipulation externe.</li>
          <li>Tous nos appareils captent les réseaux diffusé par les Raspberry PI.</li>
          <li>Nous avons réussi à capter le réseau des deux PI en même temps sur l'application, nous permettant ainsi de comparer leurs informations.</li>
          <li>Lors de nos tests, nous avons découvert que nous sommes en mesure de diffuser un réseau factice à partir d'un Raspberry PI sans avoir à les brancher à une connexion internet.
            <ul><li>Le réseau diffusé par le Raspberry Pi consiste en un pont entre la connexion câblée entrante et un réseau sans fil sortant.</li>
            <li>Dans le cadre de notre projet, il n'est pas nécessaire d'ouvrir une réelle connexion sans fil, nous devons simplement envoyer les informations des Raspberry PI quant à leurs RSSI et SSID aux appareils des utilisateurs dans le but d'être localisés.</li></ul>
          </li>
          <li>Grâce à l'application, nous sommes en mesure de voir précisement la force de chacun des réseaux, leur distance approximative à nous et leur SSID. De plus nous pouvons filtrer les réseaux afin de voir uniquement les réseaux émis par les Raspberry Pi.</li>
          <li>Lors de nos expérimentations, nous avons tenté de trouver la portée maximale du réseau diffusé par le Raspberry Pi, nous estimons que le PI diffuse à plus de 30m (tout en perdant une certaine précision à travers les murs).</li>
          <br>
          <li>Limitations:
            <ul><li>Lorsque nous utilisons l'application en mouvement, l'application prend entre 30 et 80 secondes avant de capter le déplacement et mettre à jour les informations sur la force des signaux reçus.</li></ul>
          </li>
        </ul>

        <p><strong>Avis sur la technologie expérimentée :</strong></p>

        <ul>
          <li>Configuration, plus complexe que prévue des Raspberry Pi.</li>
          <li>Le délai d'analyse des réseaux Wi-Fi de l'application est plus long que prévu.</li>
          <li>Nous réussissons à avoir la distance approximative entre le Raspberry Pi et l'appareil (de .1m à 50m), ce qui est plus précis que nous pensions.</li>
        </ul>

        <p><strong>Technologie de remplacement : </strong>Bluetooth Low Energy (BLE) beacons pour une meilleure précision et latence.</p>

    </section>
    <section class="container mt-5 text-center">
      <img src="images/wps.png" alt="" height="400" />
    </section>

    <footer class="footer_section mt-5">
      <div class="container">
        <p>
          &copy; <span id="displayYear">2023 Cégep Garneau</span> - Conçu par
          Gabriel Auger, Alec Paquette & Philippe Raymond
        </p>
      </div>
    </footer>

    <script src="js/jquery-3.4.1.min.js"></script>
    <script src="js/bootstrap.js"></script>
    <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCh39n5U-4IoWpsVGUHWdqB6puEkhRLdmI&callback=myMap"></script>
  </body>
</html>
